Package org.apache.sling.feature.launcher.spi

# Interface LauncherRunContext

All Known Subinterfaces:
  `ExtensionContext`

public interface LauncherRunContext
This is the context for the launcher

## Method Summary

Modifier and Type
Method
Description
`Map<Integer,List<URL>>`
`getBundleMap()`
Bundle map, key is the start level, value is a list of files.
`List<Object[]>`
`getConfigurations()`
List of configurations.
`Map<String,String>`
`getFrameworkProperties()`
Map of framework properties to be set when the framework is created.
`List<URL>`
`getInstallableArtifacts()`
List of installable artifacts.
`org.slf4j.Logger`
`getLogger()`
Get the central logger

## Method Details

### getFrameworkProperties

Map<String,String> getFrameworkProperties()
Map of framework properties to be set when the framework is created.

Returns:
  The map with the framework properties.

### getBundleMap

Map<Integer,List<URL>> getBundleMap()
Bundle map, key is the start level, value is a list of files.

Returns:
  The bundle map, might be empty

### getConfigurations

List<Object[]> getConfigurations()
List of configurations. The value in each is an object array with three values

1. The PID
2. The factory PID or `null`
3. The dictionary with the properties

We can't use a custom object due to class loading restrictions.

Returns:
  The list, might be empty

### getInstallableArtifacts

List<URL> getInstallableArtifacts()
List of installable artifacts.

Returns:
  The list of files. The list might be empty.

### getLogger

org.slf4j.Logger getLogger()
Get the central logger

Returns:
  The logger